{
  "get_logs": {
    "folder_is_invalid": "Output folder is invalid: {zip_output_dir}",
    "failed_to_decode": "logs_configuration.json is malformed. Please reinstall support tool.",
    "no_directories_read": "No directories were read in {folder}.",
    "location_not_provided": "The location of the {logs_category_name} log is not provided, the file cannot be collected",
    "exception_copying_log": "An exception occurred while copying log {logs_category_name} from {logs_dir}; {exception_string}.",
    "collected_successfully": "Successfully collected {logs_category_name} files.",
    "folder_does_not_exist": "{logs_category_name} folder does not exist: {logs_dir}",
    "no_logs_found": "No {logs_category_name} log files found in:\n  {logs_dir}",
    "logs_are_not_verbose": "\nWARNING: The following collected logs are NOT verbose\n  {default_logging_list}\n\nRun the -svl command to set verbose logging.",
    "reset_logging_default": "\nWARNING: Verbose logging found enabled in\n  {verbose_logging_list}\n\nRun the -sdl command to reset to the default logging level to reduce unnecessary disk space usage.",
    "log_files_collected_to": "\nLog files and info collected to: {zip_file}.zip",
    "permission_error_creating_file": "Permission denied writing file: {filename}\nUsing alternate path: {alternate_path}",
    "path_is_readonly_using_temp_instead": "The specified path: {folder_to_check} is read-only\nUsing alternate path: {alternate_path} instead.",
    "unknown_error_using_alternate_path": "There is a problem with the specified path: {folder_to_check}\nUsing alternate path: {alternate_path}"
  },
  "urls": {
    "checking_urls": "Checking {url_type} URLs:",
    "is_accessible": "{indentation}{url} is accessible.",
    "failed_to_access_url": "{indentation}Failed to access: {url}. Reason for failure: {response}",
    "cert_validation_failure": "HTTPS certificate validation failed.",
    "services_reached_successfully": "All services reached successfully. Your network is configured correctly for named-user licensing.",
    "inaccessible_header": "---INACCESSIBLE URLS---",
    "all_required_reached_successfully": "All required services reached successfully, but some optional services could not be reached. Although your network is configured for named-user licensing, you may experience less than optimal performance.",
    "some_required_not_reached": "Some required services could not be reached. Change your network configuration to permit access to all required services for named-user licensing.",
    "cert_validation_failed": "Some domains are unreachable due to HTTPS certificate validation failures. Such failures are often caused by a proxy or edge router with HTTPS inspection enabled. Contact your network administrator. \nMore details can be found here:\n  https://knowledge.autodesk.com/support/autocad/troubleshooting/caas/sfdcarticles/sfdcarticles/What-URLs-protocols-should-be-accessible-for-Desktop-Subscription-to-work-html.html\n",
    "inaccessible_count": "{count} urls are inaccessible.",
    "proxy_manager_lib_not_found": "The proxy manager library/dll could not be found in {filepath}."
  },
  "change_lic": {
    "clmv1_clmv2_not_installed": "Info: No Autodesk Licensing systems are installed, so there is nothing to do.",
    "no_clmv1_clmv2_products_registered": "Info: No products are registered with Autodesk Licensing, so there is nothing to do.",
    "invalid_lic_method": "Error: {lic_method} is not a valid license method.\nValid license methods are: {valid_lic_methods}.",
    "change_lic_settings_to": "Info: Changing {settings_to} for {prod_keys_to_update}.",
    "changing_lic_settings_for_product": "Info: (Licensing {lic_version}) Changing {settings_from_to} for product key {prod_key_ver}.",
    "product_key_invalid": "Error: Product key {prod_key} is invalid or not registered.",
    "unsupported_plc": "Error: Product {prod_key} is not yet supported by this feature. Please use an alternative method for changing license type.",
    "not_supported": "Error: License method {lic_method} is not supported for product key: {prod_key}.",
    "already_set": "Info: (Licensing {lic_version}) License method for product key {prod_key_ver} is already set to {new_lic_method}.",
    "skip_pre_release": "Info: (Licensing {lic_version}) Skipping pre-release version of product key {prod_key_ver}.",
    "change_success": "Info: (Licensing {lic_version}) Successfully changed {settings_from_to} for product key {prod_key_ver}.",
    "change_failure": "Error: (Licensing {lic_version}) Failed to change {settings_from_to} for product key {prod_key_ver}.",
    "user_not_supported_linux": "Warn: License method USER is not supported on Linux in Licensing v1; skipping.",
    "unable_to_retrieve_product_info": "Unable to retrieve Licensing v2 product information. Could not connect to AdskLicensingService on {address}.",
    "service_installed_not_running": "Info: Licensing v2 service is installed but not running.",
    "invalid_lic_server_type": "Error: {lic_server_type} is not a valid license server type.\nValid license server types are {valid_license_server_types}",
    "license_method_from_to": "license method from {from_value} to {to_value}",
    "license_server_type_from_to": "license server type from {from_value} to {to_value}",
    "license_servers_from_to": "license servers from {from_value} to {to_value}",
    "license_method_to": "license method to {to_value}",
    "license_server_type_to": "license server type to {to_value}",
    "license_servers_to": "license servers to {to_value}"
  },
  "log_level": {
    "service_changed_to": "Service log level changed to '{log_level}'.",
    "agent_changed_to": "Agent log level changed to '{log_level}'.",
    "change_success": "Configuration successful!",
    "note_set_log_level_back": "Info: Setting log level to default is not required, but will conserve storage space.",
    "clmv2_not_installed": "Info: Licensing v2 is not installed, so there is nothing to do.",
    "starting_licensing_service": "Starting {service_executable}.",
    "stopping_licensing_service": "Stopping {service_executable}.",
    "verbose": "Verbose",
    "default": "Default",
    "enabled": "Enabled",
    "disabled": "Disabled"
  },
  "misc": {
    "error_creating_config": "Error creating config file {filename}.",
    "exceptions_logged": "\n{exceptions_count} exceptions were logged to {log_file_path}.",
    "adsk_copyright": "\n@ {copyright_year} Autodesk, Inc. All rights reserved.",
    "adskflex_files_found": "No adskflex data files found in {flexnet_file_dir}.",
    "adwebservices_cache_not_available": "AdWebServices login cache may not be available for your computer.",
    "clmv1_logs_not_available_linux": "Logs are not available for Linux.",
    "clmv1_no_logs_found": "No logs found in {clmv1_logs_dir}.",
    "file_could_not_be_found": "{file_name} could not be found in {directories}.",
    "no_file_to_delete": "No {filename} file to delete",
    "must_run_using_sudo": "Error: you must run this command as sudo, ie:\n\nsudo -E {command}",
    "must_run_cmd_as_admin": "Error: you must run this command in a command prompt with administrator rights.\n",
    "problem_contact_support": "\nThe AdskLicensingSupportTool has encountered an error. Contact Autodesk Customer Support.\n",
    "pre_release": "Pre-Release"
  },
  "common": {
    "service_network_error": "The licensing service is running, but the IP address and port: {ip_port} isn't reachable.\nPlease contact your IT administrator to ensure this network port is not blocked by a firewall or security policy."
  },
  "help": {
    "provide_one_param": "Provide at least one parameter from the optional arguments section:",
    "support_tool_version": "AdskLicensingSupportTool Version: {version}.",
    "version_param": "View current AdskLicensingSupportTool version.",
    "reset_lic_method_metavar": "product_key:license_method | comma separated list of product keys[:license_method] | ALL[:license_method]",
    "reset_lic_method_paragraph1": "Change the licensing method for a product_key to a specified licensing method.\nproduct_key can be a single product key, a comma-separated list of products,\nor keyword ALL.",
    "reset_lic_method_paragraph2": "At least one product key, or the keyword ALL, must be specified.\nPossible license methods are: USER, NETWORK, STANDALONE, NONE.\nIf no method is supplied, NONE will be used.",
    "reset_lic_method_paragraph3": "NONE will result in the \"Let's Get Started\" screen appearing on\nnext launch of the product.",
    "reset_lic_method_example1": "Set all products to USER licensing method\nAdskLicensingSupportTool --resetlicensemethod ALL:USER",
    "reset_lic_method_example2": "Set product key 128L1 to USER licensing method\nAdskLicensingSupportTool --resetlicensemethod 128L1:USER",
    "reset_lic_method_example3": "Set product keys 128L1, 426I1, and 829L1 to USER licensing method\nAdskLicensingSupportTool --resetlicensemethod 128L1,426I1,829L1:USER",
    "reset_lic_method_example4": "Clear the licensing method for all products\nAdskLicensingSupportTool --resetlicensemethod ALL",
    "reset_lic_method_example5": "Clear the licensing method for product key 128L1\nAdskLicensingSupportTool --resetlicensemethod 128L1",
    "reset_lic_method_example6": "Clear the licensing method for product keys 128L1, 426I1, and 829L1\nAdskLicensingSupportTool --resetlicensemethod 128L1,426I1,829L1",
    "version_and_product_info": "View Licensing v1 and v2 component versions and registered products.",
    "set_default_logging": "Set service and agent log levels to default.",
    "set_verbose_logging": "Set service and agent log levels to debug mode.",
    "check_urls": "Check for inaccessible desktop subscription URLs.",
    "get_logs_paragraph1": "Collect and zip log files. Provide a directory\nto contain the zipped folder. (for example, '--getlogs C:\\temp').",
    "get_logs_paragraph2": "If no directory is provided, the zipped folder will be\nstored at the current working directory.",
    "get_logs_paragraph3": "Logs and files that will be collected:\n* {logs_collected}\n",
    "license_server_type": "The network license server type to use. Possible values are: {lic_server_types}",
    "license_server_names_metavar": "server1,server2,server3",
    "license_server_names": "A comma delimited list of license server names, eg: server1,server2,server3"
  },
  "info": {
    "version_info_header": "---VERSION INFORMATION---",
    "product_info_header": "---LICENSING {clm_version} PRODUCTS INFORMATION---",
    "service_installed_not_started": "Licensing v2 service is installed but not started.",
    "product_info_not_retrieved": "Product information could not be retrieved.",
    "please_start_licensing": "Please start the licensing service.",
    "single_product_registered": "There is {product_count} Licensing {clm_version} Autodesk product registered on this PC.",
    "multiple_products_registered": "There are {product_count} Licensing {clm_version} Autodesk products registered on this PC.",
    "failed_to_locate_manifest": "Failed to locate manifest.json.",
    "licensing_service_not_installed": "AdskLicensingService is not installed, so there is no version information to retrieve.",
    "service_running": "Running at: {ip_port}",
    "service_internal_error": "Error: The AdskLicensingService got an internal service error. Please contact Autodesk support."
  },
  "login_state": {
    "deleting_login_state_from_disc": "Deleting LoginState.xml from disc",
    "successfully_deleted_file": "{indent}Successfully deleted LoginState.xml file from:\n{indent}{path}",
    "could_not_find_file": "{indent}Could not find LoginState.xml file in:\n{indent}{path}",
    "preparing_to_delete_login_state": "Preparing to delete LoginState.xml",
    "checking_for_running_processes": "Checking for running processes",
    "there_is_no_login_state_file_to_delete": "There is no LoginState.xml file to delete.",
    "process_is_running": "{indent}Process {proc_name} is running...",
    "process_is_not_running": "{indent}Process {proc_name} is not running...",
    "checking_for_running_services": "Checking for running services...",
    "service_is_running": "{indent}Service {executable} is running...",
    "service_is_not_running": "{indent}Service {executable} is not running...",
    "service_is_running_but_port_blocked": "{indent}Service {executable} is running but {ip_port} is blocked...",
    "terminating_process": "{indent}Terminating process {proc_name}..."
  },
  "ui_product_tab": {
    "product_name_header": "Product Name",
    "product_version_header": "Product Version",
    "license_type_header": "License Method",
    "product_key_header": "Product Key",
    "select_instruction_label": "Please select one or more products in the table and select a license method.",
    "select_product_label": "Please select one or more products in the table and select a license method.",
    "set_license_method_label": "Select license method:",
    "set_license_server_type_label": "Set license server type:",
    "enter_license_server_names_label": "Enter license server name(s):",
    "license_server_names_note_label": "Note: separate multiple server names with a comma",
    "network_radio": "Network",
    "standalone_radio": "Standalone",
    "user_radio": "User",
    "reset_radio": "Reset",
    "single_radio": "Single",
    "distributed_radio": "Distributed",
    "redundant_radio": "Redundant",
    "submit_button": "Apply changes",
    "submit_tooltip": "This button will change the licensing method to the one selected",
    "service_installed_message": "AdskLicensingService is installed",
    "service_not_installed_message": "AdskLicensingService is not installed",
    "service_not_running_message": "AdskLicensingService is not running, starting the service",
    "no_products_installed_message": "There are no Autodesk products installed",
    "service_failed_start_status_message": "The Autodesk licensing service was found to be not running and failed to start within the allocated time.",
    "msg_box_license_method_change_title": "License Method Change",
    "msg_box_license_method_change_text": "Change license settings results:",
    "update_status_success_message": "Successfully changed the license method for {count} products to {license_method}:\n{tab_spaces}{products}",
    "update_status_skip_pre_release_message": "Skipped changing {count} pre-release products to license method {license_method}:\n{tab_spaces}{products}",
    "update_status_failure_message": "Failed to change license method to {license_method}, {count} products due to an error:\n{tab_spaces}{products}",
    "update_status_already_set_message": "Skipped changing {count} products that were already set to {license_method}:\n{tab_spaces}{products}",
    "update_status_not_supported_message": "License method {license_method} not supported for {count} products:\n{tab_spaces}{products}"
  },
  "ui_logging_tab": {
    "current_level_label": "Current log level: {current_log_level}",
    "instructions_for_log_tab": "In order for product support to help troubleshoot licensing issues, the log level of the log files needs to be set to verbose.\n\nPlease follow the steps in the wizard for collecting the log files.",
    "next_button": "Next",
    "collect_logs_label": "Collect log files",
    "set_location_label": "Set location of zip file of collected log files:",
    "log_level_tooltip": "Change the level of detail that is logged when errors occur in product",
    "collect_logs_tooltip": "Retrieve logs needed by Autodesk support to help resolve your issue in a given product",
    "step_1_label": "Step 1: Set log level",
    "step_2_label": "Step 2: Restart program",
    "step_3_label": "Step 3: Set location for log files collection",
    "step_4_label": "Step 4: Reset log level",
    "verbose_logging_on": "Turn on verbose logging",
    "verbose_logging_off": "Turn off verbose logging",
    "restart_button": "Restart",
    "step_2_note2": "Restart the program that was having the licensing issue.",
    "step_2_note3": "Once started, close the program if it does not automatically",
    "step_4_note": "Log level has been reset to: Default.\n\nPlease send zip file of collected logs to support agent",
    "open_folder_button": "Open folder",
    "open_folder_tooltip": "Opens the folder location to access the zip file of collected logs",
    "collected_logs_filename_label": "Collected logs zip filename:",
    "msg_box_shutdown_products_message": "All Autodesk products must be shutdown before continuing.\n\nAre all Autodesk products shutdown on this computer?",
    "msg_box_shutdown_products_title": "Shutdown Autodesk Products",
    "logging_level_set_to_label": "Log level has been set to: {log_level}",
    "clmv2_not_installed_label": "Autodesk Licensing Service is not installed. <br><br>Please download and install the Autodesk Licensing Service from this <style>a:link{color:#6dd2ff}</style> <a href=\"https://knowledge.autodesk.com/search-result/caas/downloads/content/autodesk-licensing-service-download.html\">location</a> and ensure the service is running.",
    "msg_box_log_retrieval_paused_message": "Log level must be set to Verbose before continuing",
    "msg_box_log_retrieval_paused_title": "Log Retrieval Paused",
    "msg_box_log_level_change_title": "Log Level Change",
    "msg_box_logs_retrieved_title": "Logs Retrieved",
    "msg_box_logs_retrieved_text": "Log files have been saved to:",
    "file_dialog_caption": "Select Directory"
  },
  "ui_connections_tab": {
    "check_urls_label": "Check server connections:",
    "check_urls_button": "Check URLs",
    "check_conns_tooltip": "Check if all url connections required for Autodesk products to run are able to be accessed",
    "check_urls_instruction_label": "Check for URLs used by Autodesk services that may not be accessible from your system.",
    "check_urls_error_label": "<font color=\"red\">Error:</font> You may need to consult with your IT/System Administrator to open connections on the blocked required URLs in your Internet Security solution. <style>a:link{color:#6dd2ff}</style> <a href=\"https://knowledge.autodesk.com/support/autocad/troubleshooting/caas/sfdcarticles/sfdcarticles/What-URLs-protocols-should-be-accessible-for-Desktop-Subscription-to-work-html.html\">Click this link for more information</a>",
    "check_urls_warning_label": "<font color=\"orange\">Warning:</font> You may need to consult with your IT/System Administrator to open connections on the blocked required URLs in your Internet Security solution. <style>a:link{color:#6dd2ff}</style> <a href=\"https://knowledge.autodesk.com/support/autocad/troubleshooting/caas/sfdcarticles/sfdcarticles/What-URLs-protocols-should-be-accessible-for-Desktop-Subscription-to-work-html.html\">Click this link for more information</a>",
    "check_urls_checking": "Checking..."
  },
  "ui_components_tab": {
    "components_label": "Service Versions and Status:"
  },
  "ui_reset_tab": {
    "login_note_label": "Note: if you are experiencing login issues at launch this command will reset the login for all installed products",
    "reset_login_button": "Reset login state",
    "login_reset_label": "Reset login:",
    "login_reset_tooltip": "Reset Login State will terminate certain services and clear your login for all products.",
    "reset_login_state_success_results_label": "Autodesk products login and licensing cache was successfully reset on this system.\nPlease launch your Autodesk software and sign-in with your Autodesk Account credentials.",
    "reset_login_state_failure_results_label": "Autodesk products login and licensing cache could not be reset on this system."
  },
  "ui_main": {
    "command_line_actions": "Command line actions",
    "main_title": "Autodesk Licensing Support Tool",
    "help_context_url": "https://knowledge.autodesk.com/search-result/caas/downloads/content/licensing-support-tool.html"
  },
  "ui_window": {
    "window_title": "Autodesk Licensing Support Tool",
    "msg_box_non_admin_title": "You are not an admin user",
    "msg_box_non_admin_body_mac": "Please run the command with sudo, ie:\n\nsudo -E {command}",
    "msg_box_non_admin_body_windows": "Please run the command as an administrator"
  },
  "ui_misc": {
    "msg_box_licensing_service_status_title": "Autodesk Licensing Service Status",
    "reset_login_state_not_available_cli": "The Reset Login State command is not available from the CLI"
  }
}